from setuptools import setup

setup(
    name='pytest-parametrized',
    version='1.0',
    description='Pytest plugin for parametrizing tests with default iterables.',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    author='Aric Coady',
    author_email='aric.coady@gmail.com',
    url='https://github.com/coady/pytest-parametrized',
    license='Apache Software License',
    py_modules=['parametrized'],
    install_requires=['pytest'],
    python_requires='>=2.7',
    tests_require=['pytest-cov'],
    keywords='pytest parametrize fixture',
    entry_points={'pytest11': ['parametrized = parametrized']},
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Framework :: Pytest',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: Apache Software License',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Topic :: Software Development :: Testing',
    ],
)
